%define shortname forms

Name: jgoodies-forms
Summary: Framework to lay out and implement elegant Swing panels in Java
URL: http://www.jgoodies.com/freeware/forms/
Group: Development/Libraries/Java
Version: 1.0.5
Release: 2jpp
License: BSD
Vendor:         JPackage Project
Distribution:   JPackage

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-devel >= 0:1.4
BuildRequires: ant
Requires: java >= 0:1.4
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# http://www.jgoodies.com/download/libraries/forms-1_0_5.zip
# but it contains sources *and* binaries, so I had to create my own tar.gz file
# -- Eric Lavarde
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.README
Patch0: %{shortname}02_default_properties.patch

%description
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard
stuff possible, the good design easy and the bad difficult.

Main Benefits:

* Powerful, flexible and precise layout
* Easy to work with and quite easy to learn
* Faster UI production
* Better UI code readability
* Leads to better style guide compliance

%package javadoc
Summary: Javadoc documentation for JGoodies Forms
Group: Development/Documentation
%description javadoc
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard
stuff possible, the good design easy and the bad difficult.

This package contains the Javadoc documentation for JGoodies Forms.

%prep
%setup -q
%patch0 -p0

%build
unset CLASSPATH
export CLASSPATH=%{java_home}/jre/lib/rt.jar
%ant compile jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir} \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 build/%{shortname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{shortname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{shortname}.jar
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 %SOURCE1 README_RPM.txt

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post javadoc
ln -s %{_javadocdir}/%{name}-%{version} %{_docdir}/%{name}-javadoc/docs/api
%preun javadoc
rm -f %{_docdir}/%{name}-javadoc/docs/api
%postun

%files
%defattr(-,root,root)
%{_javadir}/%{shortname}*.jar
%doc RELEASE-NOTES.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%doc RELEASE-NOTES.txt README_RPM.txt README.html docs/ src/tutorial/ build/classes/tutorial/

# date +"%a %b %d %Y"
%changelog
* Mon Oct 17 2005 Eric Lavarde <rpm@zorglub.s.bawue.de> - 0:1.0.5-2jpp
- corrected error with defattr of javadoc.
- linked api to doc directory to allow for proper (http)linkage.

* Sun Sep 10 2005 Eric Lavarde <rpm@zorglub.s.bawue.de>
- First packaged release
